package com.ruoyi.project.business.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 报价单电梯附加费用对象 tq_specification_surcharge
 *
 * @author ruoyi
 * @date 2024-08-09
 */
@Data
public class TqSpecificationSurcharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 规格ID */
    @Excel(name = "规格ID")
    private Long specificationId;

    /** 内陆运费 */
    @Excel(name = "内陆运费")
    private BigDecimal landShipFees;

    /** 海运费 */
    @Excel(name = "海运费")
    private BigDecimal seaShipFees;

    /** 佣金 */
    @Excel(name = "佣金")
    private BigDecimal commissionFees;

    /** 其他费用 */
    @Excel(name = "其他费用")
    private BigDecimal otherFees;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("specificationId", getSpecificationId())
                .append("landShipFees", getLandShipFees())
                .append("seaShipFees", getSeaShipFees())
                .append("commissionFees", getCommissionFees())
                .append("otherFees", getOtherFees())
                .append("delFlag", getDelFlag())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
